/*
 */

#include "utils.h"

#include <stdio.h>

using namespace std;


string vstringf(const char* fmt, va_list va)
{  // BSD and compatible environments only:
   size_t len = vsnprintf(NULL, 0, fmt, va);
   char* cp = new char[len+1]; // political correct (do not write the internal string data structures directly)
   vsnprintf(cp, len+1, fmt, va);
   string s(cp, len);
   delete[] cp;
   return s;
}

string stringf(const char* fmt, ...)
{  va_list va;
   va_start(va, fmt);
   const string& s = vstringf(fmt, va);
   va_end(va);
   return s;
}

